#ifndef __FIND_INLINE
#  define __kernel_cttz(x)      __builtin_ctzl(x)

static inline unsigned long __ffs(unsigned long word)
{
	/* Whee.  EV67 can calculate it directly.  */
	return __kernel_cttz(word);
}

unsigned long
sched_find_first_bit(const unsigned long b[2])
{
	unsigned long b0 = b[0], b1 = b[1]/*, b2 = b[2]*/;
	unsigned long ofs = 64;

	/*ofs = (b1 ? 64 : 128);
	b1 = (b1 ? b1 : b2);*/
	ofs = (b0 ? 0 : ofs);
	b0 = (b0 ? b0 : b1);

	return __ffs(b0) + ofs;
}

# if 0
	ofs = 64;

	if (b1 == 0) {
		ofs = 128;
		b1 = b2;
	}

	if (b0 != 0) {
		ofs = 0;
	} else {
		b0 = b1;
	}

	return __ffs(b0) + ofs;
#endif

#if 0
	ofs = 64;

	if (b0 != 0) {
		ofs = 0;
	} else {
		b0 = b1;
	}

	return __ffs(b0) + ofs;

#endif
#endif
